package com.persagy.fm.sop.model.dto;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

public class FitObjsBean {
    /**
     * obj_id : ***
     * obj_name : 对象名称1
     * obj_code : XXX
     * obj_type : system
     * obj_source : content_obj
     */
    //"obj_id", "obj_name", "obj_type"
    @NotEmpty
    @NotNull
    private String obj_id;
    @NotEmpty
    @NotNull
    private String obj_name;
    @NotEmpty
    @NotNull
    private String obj_type;
    private String obj_source;
    private String obj_code;

    //该对象是否变化
    private Boolean is_revise;

    public Boolean getIs_revise() {
        return is_revise;
    }

    public void setIs_revise(Boolean is_revise) {
        this.is_revise = is_revise;
    }

    public String getObj_id() {
        return obj_id;
    }

    public void setObj_id(String obj_id) {
        this.obj_id = obj_id;
    }

    public String getObj_name() {
        return obj_name;
    }

    public void setObj_name(String obj_name) {
        this.obj_name = obj_name;
    }

    public String getObj_code() {
        return obj_code;
    }

    public void setObj_code(String obj_code) {
        this.obj_code = obj_code;
    }

    public String getObj_type() {
        return obj_type;
    }

    public void setObj_type(String obj_type) {
        this.obj_type = obj_type;
    }

    public String getObj_source() {
        return obj_source;
    }

    public void setObj_source(String obj_source) {
        this.obj_source = obj_source;
    }
}
