package com.persagy.fm.sop.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.persagy.fm.sop.dao.SopEditMapper;
import com.persagy.fm.sop.model.dto.SopEdit;
import com.persagy.fm.sop.service.SopEditService;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author weijinhao
 * @since 2021-03-17
 */
@Service
public class SopEditServiceImpl extends ServiceImpl<SopEditMapper, SopEdit> implements SopEditService {

    @Override
    public boolean deleteBySopId(String sopId) {
        QueryWrapper<SopEdit> sopEditQueryWrapper = new QueryWrapper<>();
        sopEditQueryWrapper.eq("sop_id",sopId);
        return this.remove(sopEditQueryWrapper);
    }
}
